ranges::distance_fn Struct Reference
Iterator
Inheritance diagram for ranges::distance_fn:

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | c (requires range< Rng >) ccconstexpr range_difference_t< Rng > operator()(Rng &&rng) const
Public Member Functions inherited from ranges::iter_distance_fn
template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | c (requires input_or_output_iterator< I > &&sentinel_for< S, I >) ccconstexpr iter_difference_t< I > operator()(I first

## Additional Inherited Members

Public Attributes inherited from ranges::iter_distance_fn
CPP_TEMPLATE_AUX_0 S last | const